camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <>
Subject Re: osgi tests updated to pax-exam 3.4.0
Date Sat, 23 Aug 2014 06:36:19 GMT

The module camel-itest-karaf  is now broken

davsclaus:~/workspace/camel/tests/camel-itest-karaf (master)/$ mvn clean install
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]   The project org.apache.camel:camel-itest-karaf:2.14-SNAPSHOT
(/Users/davsclaus/workspace/camel/tests/camel-itest-karaf/pom.xml) has
2 errors
[ERROR]     'dependencies.dependency.version' for
org.ops4j.pax.runner:pax-runner-no-jcl:jar is missing. @ line 39,
column 21
[ERROR]     'dependencies.dependency.version' for
is missing. @ line 49, column 21
[ERROR] To see the full stack trace of the errors, re-run Maven with
the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.

On Fri, Aug 22, 2014 at 7:01 PM, Daniel Kulp <> wrote:
> I now have the camel-itest-osgi stuff all updated to pax-exam 3.4.0.   There are currently
two sets of test failures:
> 1) SedaTest - the context.getName() behavior seems to have changed recently.  The test
is expecting the name to start with the bundleId, but it’s not and just getting the default
“camel-1”, “camel-2”, etc…  Claus:  I believe this is due to
    If so, definitely shows the osgi tests haven’t been run in a long time.
> 2) AWS tests - all the aws tests fail because the aws bundle is not usable.
> The rest of the tests now pass.
> This is currently using Karaf 2.3.6.  I’m going to attempt updating to Karaf 3.0.1
next week.
> --
> Daniel Kulp
> -
> Talend Community Coder -

Claus Ibsen
Red Hat, Inc.
Twitter: davsclaus
Author of Camel in Action:

View raw message